    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class org.jdom.input.BuilderErrorHandler

    java.lang.Object
       |
       +----org.jdom.input.BuilderErrorHandler

public class BuilderErrorHandler
extends Object
implements ErrorHandler

Version:
  $Revision: 1.7 $, $Date: 2002/01/08 09:17:10 $
Author:
  Jason Hunter

##

BuilderErrorHandler()

##

error(SAXParseException)

  This method is called in response to an error that has occurred; this indicates that a rule was broken, typically in validation, but that parsing could reasonably continue.

fatalError(SAXParseException)

  This method is called in response to a fatal error; this indicates that a rule has been broken that makes continued parsing either impossible or an almost certain waste of time.

warning(SAXParseException)

  This method is called when a warning has occurred; this indicates that while no XML rules were broken, something appears to be incorrect or missing.

##

BuilderErrorHandler

     public BuilderErrorHandler()

##

warning

     public void warning(SAXParseException exception) throws SAXException

  This method is called when a warning has occurred; this indicates that while no XML rules were broken, something appears to be incorrect or missing. The implementation of this method here is a "no op".

  Parameters:
    exception - `SAXParseException` that occurred.
  Throws: SAXException
    when things go wrong

error

     public void error(SAXParseException exception) throws SAXException

  This method is called in response to an error that has occurred; this indicates that a rule was broken, typically in validation, but that parsing could reasonably continue. The implementation of this method here is to rethrow the exception.

  Parameters:
    exception - `SAXParseException` that occurred.
  Throws: SAXException
    when things go wrong

fatalError

     public void fatalError(SAXParseException exception) throws SAXException

  This method is called in response to a fatal error; this indicates that a rule has been broken that makes continued parsing either impossible or an almost certain waste of time. The implementation of this method here is to rethrow the exception.

  Parameters:
    exception - `SAXParseException` that occurred.
  Throws: SAXException
    when things go wrong

    All Packages  Class Hierarchy  This Package  Previous  Next  Index